Skip to main content
POST
/
contents
/
import
/
design
Import a Figma JSON export, PSD, or HTML design into a content template (no persistence)
curl --request POST \
  --url https://api.reelevant.com/v2/contents/import/design \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form source=figma-json \
  --form 'file=<unknown>'
{
  "status": "success",
  "program": "<string>",
  "version": "<string>",
  "datetime": "<string>",
  "message": "<string>",
  "data": {
    "template": {
      "pages": [
        {
          "id": "<string>",
          "width": 123,
          "height": 123,
          "background": {
            "r": 123,
            "g": 123,
            "b": 123,
            "a": 123
          },
          "duration": 123,
          "components": [
            {
              "id": "<string>",
              "x": 123,
              "y": 123,
              "skewX": 123,
              "skewY": 123,
              "width": 123,
              "height": 123,
              "rotation": 123
            }
          ],
          "orderTree": {
            "root": [
              "<string>"
            ],
            "elements": {}
          },
          "url": [
            {
              "type": "static",
              "value": "<string>"
            }
          ],
          "title": [
            {
              "type": "static",
              "value": "<string>"
            }
          ]
        }
      ],
      "components": {},
      "dependencies": {},
      "conditionGroups": {},
      "componentGroups": {},
      "editorSettings": {
        "canvasBackground": {
          "r": 123,
          "g": 123,
          "b": 123,
          "a": 123
        },
        "layoutGuides": [
          {
            "id": "<string>",
            "name": "<string>",
            "visible": true,
            "color": {
              "r": 123,
              "g": 123,
              "b": 123,
              "a": 123
            },
            "type": "grid",
            "size": 123
          }
        ]
      }
    }
  },
  "code": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

multipart/form-data
source
required
Available options:
figma-json
file
any | null
required

Can be any value

Response

Ok

status
enum<string>
required
Available options:
success
program
string
required
version
string
required
datetime
string
required
message
string
required
data
object
required
code
number